---
title: 安装与开始
index: false
icon: list-check
category:
  - 应用使用指南
tag:
  - 应用
  - 安装
---

# 安装与开始

本文将介绍如何安装与开始使用 DSZ ExamAware 考试看板系列软件。 

## 检查系统版本

> [!tip]
> 在使用桌面端或移动端时，请确保您的设备系统满足以下要求!

- 桌面端
  - Windows 系统
    - Windows 10 及以上版本，x86_64 架构   
  - Linux 系统
    - 待定
  - macOS 系统
    - macOS 13 及以上版本
- 移动端
  - 安卓系统
    - 安卓 7 及以上版本
  - iOS 系统
    - iOS 13 及以上版本
- 网页端
  - 谷歌浏览器
   - 微软 Edge
   - 火狐浏览器
   - 苹果 Safari
   - 360 浏览器
   - 其他浏览器
     - 请自行测试兼容性
    
## 安装应用

对于普通用户，可以在以下渠道下载到本软件，请根据自身网络环境选择合适的渠道。

| 名称 | 简述 | 🚀 发行版 | 🚧 当前构建 |
| - | - | - | - |
| [ExamShowboard-Legacy](https://github.com/ExamAware/ExamShowboard-Legacy) | 旧版桌面端考试看板 | [Releases](https://github.com/ExamAware/ExamShowboard-Legacy/releases) | [Actions](https://github.com/ExamAware/ExamShowboard-Legacy/actions) |
| [ExamAware2-Desktop](https://github.com/ExamAware/ExamAware2-Desktop) | 全新重构的桌面端考试看板 ***（开发中）*** | *暂无* | *暂无* |
| [ExamSchedule](https://github.com/ExamAware/ExamSchedule) | 静态网页版考试看板 | [ExamSchedule-main](https://github.com/ExamAware/ExamSchedule) | [ExamSchedule-dev](https://github.com/ExamAware/ExamSchedule/tree/dev) |
| [ExamCloudSchedule](https://github.com/ExamAware/ExamCloudSchedule) | 考试云看板 | [Releases](https://github.com/ExamAware/ExamCloudSchedule/releases) | |
| [ExamShowboard-Mobile](https://github.com/ExamAware/dsz-examaware-mobile) | 基于旧版移动端，暂停开发 | 请前往[QQ 群](https://qm.qq.com/q/zDiEipHsaI) `群文件` 获取 | |

> [!tip]
>移动端目前缓慢更新，待`ExamAware2-Desktop`成熟后继续维护
>如需下载，请前往[交流群](https://qm.qq.com/q/zDiEipHsaI)下载

::: details 在 Windows 10 以下的系统中安装 ExamAware

> [!caution]
> **在 Windows 7 系统中使用 ExamAware Desktop 桌面端是不现实的。** 受限制于框架问题，在 Windows 7 中，您无法打开 ExamAware Desktop 桌面端 。

此外，**微软对 Windows 7 的支持已经在 2020/1/14 终止** [^1]。如果您汇报在 Windows 7 中遇到系统相关问题， **开发者可能不会受理。**

如您有需要，请使用[考试看板网页版](./web/README.md)
:::

# 遇到问题？

如果安装时遇到问题，**首先请自行[百度](https://www.baidu.com/)一下**。如果问题无法解决，您可以[在 QQ 群求助](https://qm.qq.com/q/zDiEipHsaI)或者前往[Discussion](https://github.com/orgs/ExamAware/discussions)交流。

# 开始使用

如果您要进一步了解本软件，您可以继续阅读本文档。

